Index: trunk/packages/hvirt-config/debian/changelog
===================================================================
--- trunk/packages/hvirt-config/debian/changelog	(revision 2938)
+++ trunk/packages/hvirt-config/debian/changelog	(revision 2940)
@@ -1,2 +1,8 @@
+hvirt-config (0.0.18) unstable; urgency=low
+
+  * Run invirt-reload in the postinsts, not using triggers.
+
+ -- Evan Broder <broder@mit.edu>  Wed, 27 Jan 2010 21:20:00 -0500
+
 hvirt-config (0.0.17) unstable; urgency=low
 
Index: trunk/packages/hvirt-config/debian/hvirt-devconfig.postinst
===================================================================
--- trunk/packages/hvirt-config/debian/hvirt-devconfig.postinst	(revision 2940)
+++ trunk/packages/hvirt-config/debian/hvirt-devconfig.postinst	(revision 2940)
@@ -0,0 +1,40 @@
+#!/bin/sh
+# postinst script for hvirt-devconfig
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+        invirt-reload
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
Index: trunk/packages/hvirt-config/debian/hvirt-devconfig.triggers
===================================================================
--- trunk/packages/hvirt-config/debian/hvirt-devconfig.triggers	(revision 2938)
+++ 	(revision )
@@ -1,1 +1,0 @@
-activate invirt-reload
Index: trunk/packages/hvirt-config/debian/hvirt-prodconfig.postinst
===================================================================
--- trunk/packages/hvirt-config/debian/hvirt-prodconfig.postinst	(revision 2940)
+++ trunk/packages/hvirt-config/debian/hvirt-prodconfig.postinst	(revision 2940)
@@ -0,0 +1,40 @@
+#!/bin/sh
+# postinst script for hvirt-prodconfig
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+        invirt-reload
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
Index: trunk/packages/hvirt-config/debian/hvirt-prodconfig.triggers
===================================================================
--- trunk/packages/hvirt-config/debian/hvirt-prodconfig.triggers	(revision 2938)
+++ 	(revision )
@@ -1,1 +1,0 @@
-activate invirt-reload
Index: trunk/packages/xvm-devconfig/debian/changelog
===================================================================
--- trunk/packages/xvm-devconfig/debian/changelog	(revision 2938)
+++ trunk/packages/xvm-devconfig/debian/changelog	(revision 2940)
@@ -1,2 +1,8 @@
+xvm-devconfig (0.51) unstable; urgency=low
+
+  * Run invirt-reload in the postinsts, not using triggers.
+
+ -- Evan Broder <broder@mit.edu>  Wed, 27 Jan 2010 21:20:13 -0500
+
 xvm-devconfig (0.50) unstable; urgency=low
 
Index: trunk/packages/xvm-devconfig/debian/xvm-devconfig.postinst
===================================================================
--- trunk/packages/xvm-devconfig/debian/xvm-devconfig.postinst	(revision 2940)
+++ trunk/packages/xvm-devconfig/debian/xvm-devconfig.postinst	(revision 2940)
@@ -0,0 +1,40 @@
+#!/bin/sh
+# postinst script for xvm-devconfig
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+        invirt-reload
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
Index: trunk/packages/xvm-devconfig/debian/xvm-devconfig.triggers
===================================================================
--- trunk/packages/xvm-devconfig/debian/xvm-devconfig.triggers	(revision 2938)
+++ 	(revision )
@@ -1,1 +1,0 @@
-activate invirt-reload
Index: trunk/packages/xvm-prodconfig/debian/changelog
===================================================================
--- trunk/packages/xvm-prodconfig/debian/changelog	(revision 2938)
+++ trunk/packages/xvm-prodconfig/debian/changelog	(revision 2940)
@@ -1,2 +1,8 @@
+xvm-prodconfig (1.1.20) unstable; urgency=low
+
+  * Run invirt-reload in the postinsts, not using triggers.
+
+ -- Evan Broder <broder@mit.edu>  Wed, 27 Jan 2010 21:20:08 -0500
+
 xvm-prodconfig (1.1.19) unstable; urgency=low
 
Index: trunk/packages/xvm-prodconfig/debian/xvm-prodconfig.postinst
===================================================================
--- trunk/packages/xvm-prodconfig/debian/xvm-prodconfig.postinst	(revision 2940)
+++ trunk/packages/xvm-prodconfig/debian/xvm-prodconfig.postinst	(revision 2940)
@@ -0,0 +1,40 @@
+#!/bin/sh
+# postinst script for xvm-prodconfig
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+        invirt-reload
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
Index: trunk/packages/xvm-prodconfig/debian/xvm-prodconfig.triggers
===================================================================
--- trunk/packages/xvm-prodconfig/debian/xvm-prodconfig.triggers	(revision 2938)
+++ 	(revision )
@@ -1,1 +1,0 @@
-activate invirt-reload
